%define name spacecup
%define version 0.3
%define release 6mdk
%define prefix %{_prefix}
%define summary 3d ice-hockey or football in the space

Name: %{name}
Summary: %{summary}
Version: %{version}
Release: %{release}
Source: http://download.sourceforge.net/spacecup/SpaceCup-%{version}.tar.bz2
Source1: %{name}.16.xpm.bz2
Source2: %{name}.32.xpm.bz2
Patch0: spacecup-fix-static-installdir.patch.bz2
Patch1: spacecup-add-datadir.patch.bz2
Patch2: spacecup-fix-datafiles-installpath.patch.bz2
Patch3: spacecup-fix-gcc-2.96.patch.bz2
URL: http://spacecup.sourceforge.net/
Copyright: GPL
Group: Games/Arcade
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:	Mesa-common-devel
BuildRequires:	libjpeg-devel
Requires: sox

%description
SpaceCup is a 3D game, look like a ice-hockey or football in the space with
many ball which rebound in all direction. The aim of the game is to score more
goal points than the adversary.

%prep
%setup -q -n SpaceCup
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
make BINDIR=%{_bindir} DATADIR=%{_datadir} COPTS="$RPM_OPT_FLAGS" DEFS=-DDATADIR=\\\"/usr/share\\\"

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/%{_bindir} $RPM_BUILD_ROOT/%{_datadir}/SpaceCup
make install BINDIR=$RPM_BUILD_ROOT/%{_bindir} DATADIR=$RPM_BUILD_ROOT/%{_datadir}

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/SpaceCup" icon="%{name}.xpm" \
  needs="x11" section="Amusement/Arcade" title="SpaceCup" \
  longtitle="%{summary}"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README README.fr
%{_bindir}/*
%{_datadir}/SpaceCup
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm

%changelog
* Tue Sep 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3-6mdk
- simple rebuild

* Sun Jun 17 2001 Stefan van der Eijk <stefan@eijk.nu> 0.3-5mdk
- BuildRequires:	libjpeg-devel

* Sun Jun 17 2001 Stefan van der Eijk <stefan@eijk.nu> 0.3-4mdk
- BuildRequires:	Mesa-common-devel

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3-3mdk
- recompile against newest libstdc++

* Thu Oct 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3-2mdk
- fix compile with gcc-2.96

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3-1mdk
- first mdk version. thanks to fredl.

